Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004084OCaml~DO NOT USE (was: OCaml general)public2006-08-13 21:402016-12-08 12:45
Reportereaubin 
Assigned Toshinwell 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.09.2 
Target VersionFixed in Version4.04.0 
Summary0004084: FEATURE REQUSET: debug target
DescriptionCould a toplevel debug target be added to the makefile, or the configure script?

E.g. today I was trying to build a camlp4 with full debug info and I had to add -g to several Makefiles and $(OCAMLCFLAGS) to a bunch of targets. Not a big deal, but it took me longer than I expected to crawl through the build files and figure out the right spots to tweak.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0016863)
shinwell (developer)
2016-12-08 12:45

I believe this request has been sufficiently satisfied. The compilers and runtime system are now both compiled with -g.

- Issue History
Date Modified Username Field Change
2006-08-13 21:40 eaubin New Issue
2006-08-29 16:35 doligez Severity tweak => feature
2006-08-29 16:35 doligez Status new => acknowledged
2016-12-08 12:45 shinwell Note Added: 0016863
2016-12-08 12:45 shinwell Status acknowledged => resolved
2016-12-08 12:45 shinwell Fixed in Version => 4.04.0
2016-12-08 12:45 shinwell Resolution open => fixed
2016-12-08 12:45 shinwell Assigned To => shinwell
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker